Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.mbeans
Class HL7MBeanProperties

    java.lang.Object
      com.stc.connector.tcpip.model.mbeans.TCPIPMBeanProperties
          com.stc.connector.tcpip.hl7.mbeans.HL7MBeanProperties

    public class HL7MBeanProperties

extends TCPIPMBeanProperties

Holds the HL7 specific property names.

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:28:40 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `HL7_SEQUENCE_NUMBER`
`static java.lang.String` | `HL7_SEQUENCE_NUMBER_DESC`
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.tcpip.model.mbeans.TCPIPMBeanProperties
`LAST_RECEIVE_OPERATION_TIMESTAMP, LAST_RECEIVE_OPERATION_TIMESTAMP_DESC, LAST_SEND_OPERATION_TIMESTAMP, LAST_SEND_OPERATION_TIMESTAMP_DESC, MANAGED_CONNECTION_FACTORY_STATUS, MANAGED_CONNECTION_FACTORY_STATUS_DESC, MANAGED_CONNECTION_STATUS, MANAGED_CONNECTION_STATUS_DESC`

Constructor Summary
`HL7MBeanProperties()`

Method Summary
`boolean` | `isValidProperty(java.lang.String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### HL7_SEQUENCE_NUMBER

    public static final java.lang.String HL7_SEQUENCE_NUMBER

See Also:
  Constant Field Values

### HL7_SEQUENCE_NUMBER_DESC

    public static final java.lang.String HL7_SEQUENCE_NUMBER_DESC

See Also:
  Constant Field Values

Constructor Detail

### HL7MBeanProperties

    public HL7MBeanProperties()

Method Detail

### isValidProperty

    public boolean isValidProperty(java.lang.String propertyName)

  Overrides:
    `isValidProperty` in class `TCPIPMBeanProperties`
  Parameters:
    `propertyName` - property name to check
  Returns:
    a boolean
  See Also:
    `TCPIPMBeanProperties.isValidProperty(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD